<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado    = $_SESSION['idUsuarioLogado'];

$htmlRetorno = "";

$numeroCNPJ     = str_replace("-","",$_POST['numerocnpj']);
$numeroCNPJ     = str_replace(".","",$numeroCNPJ);
$numeroCNPJ     = str_replace(" ","",$numeroCNPJ);
$numeroCNPJ     = str_replace("/","",$numeroCNPJ);
$idSolicitante  = $_POST['idSolicitante'];

$sqlPedido  = "SELECT tb_pedidovigilancia.data_solicitacao, date_format(data_solicitacao,'%d/%m/%Y') dataSolicitacao, tb_empresas_alvara.razao_social, tb_solicitante_vigilancia.nome_solicitante, tb_pedidovigilancia.descricao_pedido, ";
$sqlPedido  .="tb_pedidovigilancia.status_pedido FROM tb_pedidovigilancia INNER JOIN tb_solicitante_vigilancia ON (tb_pedidovigilancia.id_solicitante = tb_solicitante_vigilancia.id_solicitante) ";
$sqlPedido  .="INNER JOIN tb_empresas_alvara ON (tb_pedidovigilancia.id_empresa = tb_empresas_alvara.id_empresa) WHERE tb_empresas_alvara.numero_cnpj='$numeroCNPJ' OR ";
$sqlPedido  .="tb_pedidovigilancia.id_solicitante='$idSolicitante' ORDER BY data_solicitacao";
$stmPedido   = $rsConexao->prepare($sqlPedido);
$stmPedido   ->execute();  
$rsPedido     = $stmPedido->fetchAll(PDO::FETCH_ASSOC);
$totalPedidos = $stmPedido->rowCount();		


  if($totalPedidos>0){  
    $htmlTabela = "";
    foreach($rsPedido as $fieldPedido){

      $dataSolicitacao  = $fieldPedido['dataSolicitacao'];
      $nomeEmpresa      = $fieldPedido['razao_social'];
      $nomeSolicitante  = $fieldPedido['nome_solicitante'];
      $descricaoPedido  = $fieldPedido['descricao_pedido'];
      $statusPedido     = $fieldPedido['status_pedido'];

      $htmlTabela .= "<tr>
        <td>$dataSolicitacao</td>
        <td>$nomeEmpresa</td>
        <td>$nomeSolicitante</td>
        <td>$descricaoPedido</td>
        <td>$statusPedido</td>
      </tr>";

    }
    $htmlTabela = "sucesso#$htmlTabela";
  }else{
    $htmlTabela = "Nenhum pedido encontrado.#error";
  }

  echo $htmlTabela;

?>